/* Design by Jason.leung, QQ,147430218, 新浪微博,@切片面包 */
function getStyle(obj,name)
{
	if(obj.currentStyle)
	{
		return obj.currentStyle[name];
	}
	else
	{
		return getComputedStyle(obj,false)[name];
	}
}

function Running(obj,json,fnEnd)
{
	clearInterval(obj.timer);
	obj.timer=setInterval(function()
	{
		var now=0;
		var bStop=true;
		for (var attr in json)
		{
			if(attr=='opacity')
			{
				now=Math.round(parseFloat(getStyle(obj,attr))*100);
			}
			else
			{
				now=parseInt(getStyle(obj,attr));
			}
			var speed=(json[attr]-now)/5;
			speed=speed>0?Math.ceil(speed):Math.floor(speed);
			if(now!=json[attr])bStop=false;
			if(attr=='opacity')
			{
				obj.style.filter='alpha(opacity:'+now+speed+')';
				obj.style.opacity=(now+speed)/100;
			}
			else
			{
				obj.style[attr]=speed+now+'px';
			}
		}
		if(bStop)
		{
			clearInterval(obj.timer);
			if(fnEnd)fnEnd();
		}
	}, 30);
}

window.onload=function()
{
	var oBox=document.getElementById('box');
	document.oncontextmenu=function(ev)
	{
		var oEvent=ev||event;
		oBox.style.left=oEvent.clientX+'px';
		oBox.style.top=oEvent.clientY+'px';
		oBox.style.display='block';
		Running(oBox,{opacity:100});
		return false;
	}
	
	document.onclick=function()
	{
		Running(oBox,{opacity:0},function()
		{
			oBox.style.display='none';
		})
	}
}